HMI with ExternalFile component
===============================

The ExternalFile component is a placeholder that is filled with the content of another `*.svg` file. The content of the external file defined in the `filename` parameter is copied during build time. If some *file and replace* pairs are defined the content of the source file is replaced and then included in the main file.

*Note:* During the build all the items from HMIConfig from the source file are merged.

1. Open `index.hmi.svg` in *HMI Designer*
2. Create *rectangle* using Rectangle tool (`F4`)
3. Select the rectangle and invoke *Group Animation* extension (`CTRL + J`)
4. Check *External file* and close the dialog with *OK*

*Note:* There must be only one rectangle inside the group, but you can add text description.

5. Open the External file and add some content
6. Close the External file and build the project

*Note:* The HMI builder is not able to detect changes in External files. You must invoke `Project->Compile HMI` by yourself.


This folder contains the source files for the demonstration project on using
two timers which has the same HMI interface. The HMI interface is included from `componets/timers.svg`.

## Timing of the project ##

The algorithm runs each 100 milliseconds (0.1 s). See the EXEC function block,  
tick x ntick0 = 0.05 x 2 = 0.1 

## Prerequisites ##
- *REXYGEN Runtime Core* must be installed and running on the target device.

## Running the example ##
- The **exec.mdl* file is the project main file.
- Open it with *REXYGEN Studio*, compile and download it to the target device.
- Connect to the HMI using your web browser, e.g. [http://192.168.1.100:8008](http://192.168.1.100:8008) 
(use the IP address of your target device!)

## Documentation ##

- **Press F1 for help** on the selected function block in the *REXYGEN Studio*.
- [REXYGEN HMI User Guide](https://www.rexygen.com/doc/PDF/ENGLISH/RexHMI_ENG.pdf)

## Additional information ##

- Visit the [REXYGEN webpage](http://www.rexygen.com) 
for more information about the example projects and developing advanced 
automation and control solutions using REXYGEN.
